> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #R Meter Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on PIC
```
#include <stdint.h>
#include "r_meter.h"

//sbits
sbit S1 at RC0_bit;
sbit S1_DIR at TRISC0_bit;
sbit S2 at RB0_bit;
sbit S2_DIR at TRISB0_bit;
sbit S3 at RE1_bit;
sbit S3_DIR at TRISE1_bit;
sbit R_METER_CS at RE0_bit;
sbit R_METERCS_DIR at TRISE0_bit;

void system_setup( void )
{
    
    ANSELA = 0x04;                         // Configure RA2 pins as analog - Mikro BUS1 4; Mikro BUS2 8;
    ANSELB = 0x00;                         // Configure PORTB pins as digital
    ANSELC = 0x00;                         // Configure PORTC pins as digital
    ANSELD = 0x00;                         // Configure PORTD pins as digital
    ANSELE = 0x00;                         // Configure PORTE pins as digital

    TRISA = 0x04;                          // Set RA2 pin as input - Mikro BUS1 RA2 0x04; Mikro BUS2 RA3 0x08;
    TRISB = 0x02;                          // Set PORTB as output, RB1 input
    TRISC = 0x00;                          // Set PORTC as output
    TRISD = 0x00;                          // Set PORTD as output
    TRISE = 0x00;

    UART1_Init(9600);                      // Initialize UART module at 9600 bps
    Delay_ms(100);                         // Wait for UART module to stabilize
    UART1_Write_Text( "UART Initialized\r\nPress B1 for reading\r\n" );

    ADCON0 = 0b01111101;
    ADCON1 = 0b00001000;
    ADCON2 = 0b10000000;
    VREFCON0 = 0b11110000;                 //Vref=4.092V

    PORTA = 0x00;
    PORTB = 0x00;
    PORTC = 0x00;
    PORTD = 0x00;
    PORTE = 0x00;
    
    //SPI
    SPI1_Init_Advanced( _SPI_MASTER_OSC_DIV4, _SPI_DATA_SAMPLE_MIDDLE,
                    _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH );
    Delay_ms(200);
    UART1_Write_Text( "SPI Initialized\r\n" );
}

```

```
void main()
{
    //Local Declarations
    char txt[20] = { 0 };
    float ohms_var = 0;
    
    //Setup
    system_setup();

    while (1)
    {
        ohms_var = r_meter_get_ohms();
        if( ohms_var == 0 )
            UART1_Write_Text( "Over Range\r\n" );
        else
        {
            FloatToStr( ohms_var, txt );
            UART1_Write_Text( "OHMS: " );
            UART1_Write_Text( txt );
            UART1_Write_Text( "\r\n" );
        }
        delay_ms(250);
    }
}

```

